"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.manifest = void 0;
exports.manifest = {
    name: "IpfsResolver",
    type: "plugin",
    version: "0.1",
    abi: {
        "envType": {
            "kind": 65536,
            "properties": [
                {
                    "comment": "Re-attempt resolution on failure",
                    "kind": 34,
                    "name": "retries",
                    "object": {
                        "kind": 8192,
                        "name": "retries",
                        "type": "Retries"
                    },
                    "type": "Retries"
                },
                {
                    "comment": "Timeouts for methods",
                    "kind": 34,
                    "name": "timeouts",
                    "object": {
                        "kind": 8192,
                        "name": "timeouts",
                        "type": "Timeouts"
                    },
                    "type": "Timeouts"
                },
                {
                    "comment": "Disable parallel requests",
                    "kind": 34,
                    "name": "disableParallelRequests",
                    "scalar": {
                        "kind": 4,
                        "name": "disableParallelRequests",
                        "type": "Boolean"
                    },
                    "type": "Boolean"
                }
            ],
            "type": "Env"
        },
        "importedModuleTypes": [
            {
                "isInterface": false,
                "kind": 256,
                "methods": [
                    {
                        "arguments": [
                            {
                                "kind": 34,
                                "name": "authority",
                                "required": true,
                                "scalar": {
                                    "kind": 4,
                                    "name": "authority",
                                    "required": true,
                                    "type": "String"
                                },
                                "type": "String"
                            },
                            {
                                "kind": 34,
                                "name": "path",
                                "required": true,
                                "scalar": {
                                    "kind": 4,
                                    "name": "path",
                                    "required": true,
                                    "type": "String"
                                },
                                "type": "String"
                            }
                        ],
                        "kind": 64,
                        "name": "tryResolveUri",
                        "required": true,
                        "return": {
                            "kind": 34,
                            "name": "tryResolveUri",
                            "object": {
                                "kind": 8192,
                                "name": "tryResolveUri",
                                "type": "UriResolver_MaybeUriOrManifest"
                            },
                            "type": "UriResolver_MaybeUriOrManifest"
                        },
                        "type": "Method"
                    },
                    {
                        "arguments": [
                            {
                                "kind": 34,
                                "name": "path",
                                "required": true,
                                "scalar": {
                                    "kind": 4,
                                    "name": "path",
                                    "required": true,
                                    "type": "String"
                                },
                                "type": "String"
                            }
                        ],
                        "kind": 64,
                        "name": "getFile",
                        "required": true,
                        "return": {
                            "kind": 34,
                            "name": "getFile",
                            "scalar": {
                                "kind": 4,
                                "name": "getFile",
                                "type": "Bytes"
                            },
                            "type": "Bytes"
                        },
                        "type": "Method"
                    }
                ],
                "namespace": "UriResolver",
                "nativeType": "Module",
                "type": "UriResolver_Module",
                "uri": "ens/uri-resolver.core.polywrap.eth"
            },
            {
                "isInterface": false,
                "kind": 256,
                "methods": [
                    {
                        "arguments": [
                            {
                                "kind": 34,
                                "name": "cid",
                                "required": true,
                                "scalar": {
                                    "kind": 4,
                                    "name": "cid",
                                    "required": true,
                                    "type": "String"
                                },
                                "type": "String"
                            },
                            {
                                "kind": 34,
                                "name": "options",
                                "object": {
                                    "kind": 8192,
                                    "name": "options",
                                    "type": "Ipfs_Ipfs_Options"
                                },
                                "type": "Ipfs_Ipfs_Options"
                            }
                        ],
                        "kind": 64,
                        "name": "cat",
                        "required": true,
                        "return": {
                            "kind": 34,
                            "name": "cat",
                            "required": true,
                            "scalar": {
                                "kind": 4,
                                "name": "cat",
                                "required": true,
                                "type": "Bytes"
                            },
                            "type": "Bytes"
                        },
                        "type": "Method"
                    },
                    {
                        "arguments": [
                            {
                                "kind": 34,
                                "name": "cid",
                                "required": true,
                                "scalar": {
                                    "kind": 4,
                                    "name": "cid",
                                    "required": true,
                                    "type": "String"
                                },
                                "type": "String"
                            },
                            {
                                "kind": 34,
                                "name": "options",
                                "object": {
                                    "kind": 8192,
                                    "name": "options",
                                    "type": "Ipfs_Ipfs_Options"
                                },
                                "type": "Ipfs_Ipfs_Options"
                            }
                        ],
                        "kind": 64,
                        "name": "resolve",
                        "required": true,
                        "return": {
                            "kind": 34,
                            "name": "resolve",
                            "object": {
                                "kind": 8192,
                                "name": "resolve",
                                "type": "Ipfs_Ipfs_ResolveResult"
                            },
                            "type": "Ipfs_Ipfs_ResolveResult"
                        },
                        "type": "Method"
                    },
                    {
                        "arguments": [
                            {
                                "kind": 34,
                                "name": "data",
                                "required": true,
                                "scalar": {
                                    "kind": 4,
                                    "name": "data",
                                    "required": true,
                                    "type": "Bytes"
                                },
                                "type": "Bytes"
                            }
                        ],
                        "kind": 64,
                        "name": "addFile",
                        "required": true,
                        "return": {
                            "kind": 34,
                            "name": "addFile",
                            "required": true,
                            "scalar": {
                                "kind": 4,
                                "name": "addFile",
                                "required": true,
                                "type": "String"
                            },
                            "type": "String"
                        },
                        "type": "Method"
                    }
                ],
                "namespace": "Ipfs",
                "nativeType": "Module",
                "type": "Ipfs_Module",
                "uri": "ens/ipfs.polywrap.eth"
            }
        ],
        "importedObjectTypes": [
            {
                "kind": 1025,
                "namespace": "UriResolver",
                "nativeType": "MaybeUriOrManifest",
                "properties": [
                    {
                        "kind": 34,
                        "name": "uri",
                        "scalar": {
                            "kind": 4,
                            "name": "uri",
                            "type": "String"
                        },
                        "type": "String"
                    },
                    {
                        "kind": 34,
                        "name": "manifest",
                        "scalar": {
                            "kind": 4,
                            "name": "manifest",
                            "type": "Bytes"
                        },
                        "type": "Bytes"
                    }
                ],
                "type": "UriResolver_MaybeUriOrManifest",
                "uri": "ens/uri-resolver.core.polywrap.eth"
            },
            {
                "kind": 1025,
                "namespace": "Ipfs",
                "nativeType": "Ipfs_Options",
                "properties": [
                    {
                        "comment": "    Timeout (in ms) for the operation.\nFallback providers are used if timeout is reached.",
                        "kind": 34,
                        "name": "timeout",
                        "scalar": {
                            "kind": 4,
                            "name": "timeout",
                            "type": "UInt32"
                        },
                        "type": "UInt32"
                    },
                    {
                        "comment": "The IPFS provider to be used",
                        "kind": 34,
                        "name": "provider",
                        "scalar": {
                            "kind": 4,
                            "name": "provider",
                            "type": "String"
                        },
                        "type": "String"
                    },
                    {
                        "array": {
                            "item": {
                                "kind": 4,
                                "name": "fallbackProviders",
                                "required": true,
                                "type": "String"
                            },
                            "kind": 18,
                            "name": "fallbackProviders",
                            "scalar": {
                                "kind": 4,
                                "name": "fallbackProviders",
                                "required": true,
                                "type": "String"
                            },
                            "type": "[String]"
                        },
                        "comment": "Fallback IPFS providers",
                        "kind": 34,
                        "name": "fallbackProviders",
                        "type": "[String]"
                    },
                    {
                        "comment": "Disable querying providers in parallel when resolving URIs",
                        "kind": 34,
                        "name": "disableParallelRequests",
                        "scalar": {
                            "kind": 4,
                            "name": "disableParallelRequests",
                            "type": "Boolean"
                        },
                        "type": "Boolean"
                    }
                ],
                "type": "Ipfs_Ipfs_Options",
                "uri": "ens/ipfs.polywrap.eth"
            },
            {
                "kind": 1025,
                "namespace": "Ipfs",
                "nativeType": "Ipfs_ResolveResult",
                "properties": [
                    {
                        "kind": 34,
                        "name": "cid",
                        "required": true,
                        "scalar": {
                            "kind": 4,
                            "name": "cid",
                            "required": true,
                            "type": "String"
                        },
                        "type": "String"
                    },
                    {
                        "kind": 34,
                        "name": "provider",
                        "required": true,
                        "scalar": {
                            "kind": 4,
                            "name": "provider",
                            "required": true,
                            "type": "String"
                        },
                        "type": "String"
                    }
                ],
                "type": "Ipfs_Ipfs_ResolveResult",
                "uri": "ens/ipfs.polywrap.eth"
            }
        ],
        "moduleType": {
            "imports": [
                {
                    "type": "UriResolver_Module"
                },
                {
                    "type": "UriResolver_MaybeUriOrManifest"
                },
                {
                    "type": "Ipfs_Module"
                },
                {
                    "type": "Ipfs_Ipfs_Options"
                },
                {
                    "type": "Ipfs_Ipfs_ResolveResult"
                }
            ],
            "interfaces": [
                {
                    "kind": 2048,
                    "type": "UriResolver_Module"
                }
            ],
            "kind": 128,
            "methods": [
                {
                    "arguments": [
                        {
                            "kind": 34,
                            "name": "authority",
                            "required": true,
                            "scalar": {
                                "kind": 4,
                                "name": "authority",
                                "required": true,
                                "type": "String"
                            },
                            "type": "String"
                        },
                        {
                            "kind": 34,
                            "name": "path",
                            "required": true,
                            "scalar": {
                                "kind": 4,
                                "name": "path",
                                "required": true,
                                "type": "String"
                            },
                            "type": "String"
                        }
                    ],
                    "kind": 64,
                    "name": "tryResolveUri",
                    "required": true,
                    "return": {
                        "kind": 34,
                        "name": "tryResolveUri",
                        "object": {
                            "kind": 8192,
                            "name": "tryResolveUri",
                            "type": "UriResolver_MaybeUriOrManifest"
                        },
                        "type": "UriResolver_MaybeUriOrManifest"
                    },
                    "type": "Method"
                },
                {
                    "arguments": [
                        {
                            "kind": 34,
                            "name": "path",
                            "required": true,
                            "scalar": {
                                "kind": 4,
                                "name": "path",
                                "required": true,
                                "type": "String"
                            },
                            "type": "String"
                        }
                    ],
                    "kind": 64,
                    "name": "getFile",
                    "required": true,
                    "return": {
                        "kind": 34,
                        "name": "getFile",
                        "scalar": {
                            "kind": 4,
                            "name": "getFile",
                            "type": "Bytes"
                        },
                        "type": "Bytes"
                    },
                    "type": "Method"
                }
            ],
            "type": "Module"
        },
        "objectTypes": [
            {
                "kind": 1,
                "properties": [
                    {
                        "kind": 34,
                        "name": "getFile",
                        "scalar": {
                            "kind": 4,
                            "name": "getFile",
                            "type": "UInt32"
                        },
                        "type": "UInt32"
                    },
                    {
                        "kind": 34,
                        "name": "checkIfExists",
                        "scalar": {
                            "kind": 4,
                            "name": "checkIfExists",
                            "type": "UInt32"
                        },
                        "type": "UInt32"
                    },
                    {
                        "kind": 34,
                        "name": "tryResolveUri",
                        "scalar": {
                            "kind": 4,
                            "name": "tryResolveUri",
                            "type": "UInt32"
                        },
                        "type": "UInt32"
                    }
                ],
                "type": "Timeouts"
            },
            {
                "kind": 1,
                "properties": [
                    {
                        "kind": 34,
                        "name": "getFile",
                        "scalar": {
                            "kind": 4,
                            "name": "getFile",
                            "type": "UInt32"
                        },
                        "type": "UInt32"
                    },
                    {
                        "kind": 34,
                        "name": "tryResolveUri",
                        "scalar": {
                            "kind": 4,
                            "name": "tryResolveUri",
                            "type": "UInt32"
                        },
                        "type": "UInt32"
                    }
                ],
                "type": "Retries"
            }
        ],
        "version": "0.1"
    }
};
//# sourceMappingURL=wrap.info.js.map